--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Do recursive validity checking
full_name: DataMapper::Validate#recursive_valid?
is_singleton: false
name: recursive_valid?
params: (target, context, state)
visibility: public
